> For the complete documentation index, see [llms.txt](https://docs.nxtfi.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nxtfi.org/api-reference.md).

# API Reference

- [Get node health](https://docs.nxtfi.org/api-reference/get-node-health.md)
- [Get the last block](https://docs.nxtfi.org/api-reference/get-the-last-block.md): Query the last block of a scope
- [Get block information by hash](https://docs.nxtfi.org/api-reference/get-block-information-by-hash.md): Obtain information about a specific block by providing its hash. If its not provided, full list of hashes will be displayed.
- [Get block information by timestamp](https://docs.nxtfi.org/api-reference/get-block-information-by-timestamp.md): Obtain the information of a specific block through its timestamp. Also allow timestamp ordered block listing.
- [Get block information by height](https://docs.nxtfi.org/api-reference/get-block-information-by-height.md): Obtain information of a specific block by its height.
- [Get files from storage by scope](https://docs.nxtfi.org/api-reference/get-files-from-storage-by-scope.md): Syntax for getting directories and files content from storage
- [Storage tracking interactions](https://docs.nxtfi.org/api-reference/storage-tracking-interactions.md): A utility designed for transparency in tracking interactions with the storage system.
- [Storage tracking timestamp block info](https://docs.nxtfi.org/api-reference/storage-tracking-timestamp-block-info.md): A utility designed for transparency in tracking interactions with the storage system.
- [Submit new block](https://docs.nxtfi.org/api-reference/submit-new-block.md): Put a new block into the blockchain
- [Presign media file upload](https://docs.nxtfi.org/api-reference/presign-media-file-upload.md): Requesting PreSign Url for uploading media file


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nxtfi.org/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
